For the complete documentation index, see llms.txt. This page is also available as Markdown.

How to GET Pdf

Fetch the information of an already created PDF. Typically this is useful to poll until pdf.read_status == 'SUCCESS' (and not pdf.read_status == 'FAILED') before asking questions against the PDF.

Get PDF

get

Retrieve details of a PDF by its ID.

Authorizations
AuthorizationstringRequired

API key provided as a Bearer token in the Authorization header.

Path parameters
pdf-idstring · uuidRequired

The unique identifier of the PDF.

Responses
200

Details of the PDF.

application/json
idstringOptionalExample: 9294544b-2b6a-4c93-976c-d1910b8c1423
namestringOptionalExample: example.pdf
organization_idstringOptionalExample: fcf6c954-ba68-4e39-a7b5-960dc8274ec0
created_atstring · date-timeOptionalExample: 2024-12-05T20:18:53.289618+00:00
updated_atstring · date-timeOptionalExample: 2024-12-05T20:18:55.584786+00:00
number_of_pagesinteger · nullableOptional
folder_idstringOptionalExample: 6c702c82-bb8a-4274-8cb6-074e0bf78084
read_statusstringOptionalExample: SUCCESS
created_bystringOptionalExample: 07f5bfc7-72c9-40b7-8151-dcfc2f9613dc
from_urlstring · nullableOptional
file_typestringOptionalExample: PDF
get/v1/pdf/{pdf-id}
GET /api/v1/pdf/{pdf-id} HTTP/1.1
Host: app.humata.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "9294544b-2b6a-4c93-976c-d1910b8c1423",
  "name": "example.pdf",
  "organization_id": "fcf6c954-ba68-4e39-a7b5-960dc8274ec0",
  "created_at": "2024-12-05T20:18:53.289618+00:00",
  "updated_at": "2024-12-05T20:18:55.584786+00:00",
  "number_of_pages": 1,
  "folder_id": "6c702c82-bb8a-4274-8cb6-074e0bf78084",
  "read_status": "SUCCESS",
  "created_by": "07f5bfc7-72c9-40b7-8151-dcfc2f9613dc",
  "from_url": "text",
  "file_type": "PDF"
}

Last updated